<?php
/**
 * Template for displaying thumbnail of single course.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/single-course/thumbnail.php.
 *
 * @author   ThimPress
 * @package  Learnpress/Templates
 * @version  3.0.0
 *
 * @package IPHARM
 * @since IPHARM 1.0.62
 */

/**
 * Prevent loading this file directly
 */
defined( 'ABSPATH' ) || exit();

if ( ! has_post_thumbnail() ) {
	return;
}

$video           = get_post_meta( get_the_ID(), '_lp_intro_video_external', true );
if ( empty( $video ) ) {
	$video = get_post_meta( get_the_ID(), '_lp_intro_video', true );
}
ipharm_show_post_featured( array(
	'singular'   => false,
	'no_links'   => empty( $video ),
	'video'      => ! empty( $video ) ? ipharm_get_embed_video( (is_numeric( $video ) && (int) $video > 0) ? wp_get_attachment_url( $video ) : $video ) : '',
	'thumb_size' => ipharm_get_thumb_size( strpos( ipharm_get_theme_option( 'body_style' ), 'full' ) !== false
						? 'full' 
						: ( ipharm_sidebar_present() ? 'big' : 'huge' )
					),
	'post_info'  => '<div class="lp_single_course_date time">'
						. '<div class="lp_single_course_date_start_day">' . get_the_date( 'd' ) . '</div>'
						. '<div class="lp_single_course_date_start_month">' . get_the_date( 'M, Y' ) . '</div>'
					. '</div>'
) );
