<?php

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'ipharm_advanced_popups_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'ipharm_advanced_popups_theme_setup9', 9 );
    function ipharm_advanced_popups_theme_setup9() {

        

        if ( is_admin() ) {
            add_filter( 'ipharm_filter_tgmpa_required_plugins', 'ipharm_advanced_popups_tgmpa_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( ! function_exists( 'ipharm_advanced_popups_tgmpa_required_plugins' ) ) {
    
    function ipharm_advanced_popups_tgmpa_required_plugins( $list = array() ) {
        if ( ipharm_storage_isset( 'required_plugins', 'advanced-popups' ) && ipharm_storage_get_array( 'required_plugins', 'advanced-popups', 'install' ) !== false ) {
            $list[] = array(
                'name'     => ipharm_storage_get_array( 'required_plugins', 'advanced-popups', 'title' ),
                'slug'     => 'advanced-popups',
                'required' => false,
            );
        }
        return $list;
    }
}

// Check if plugin installed and activated
if ( ! function_exists( 'ipharm_exists_advanced_popups' ) ) {
    function ipharm_exists_advanced_popups() {
        return class_exists( 'WPINC' );
    }
}

