<?php
/* Elegro Crypto Payment support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'ipharm_elegro_payment_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'ipharm_elegro_payment_theme_setup9', 9 );
	function ipharm_elegro_payment_theme_setup9() {
		if ( ipharm_exists_elegro_payment() ) {
			add_action( 'wp_enqueue_scripts', 'ipharm_elegro_payment_frontend_scripts', 1100 );
			add_filter( 'ipharm_filter_merge_styles', 'ipharm_elegro_payment_merge_styles' );
		}
		if ( is_admin() ) {
			add_filter( 'ipharm_filter_tgmpa_required_plugins', 'ipharm_elegro_payment_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'ipharm_elegro_payment_tgmpa_required_plugins' ) ) {
	
	function ipharm_elegro_payment_tgmpa_required_plugins( $list = array() ) {
		if ( ipharm_storage_isset( 'required_plugins', 'woocommerce' ) && ipharm_storage_isset( 'required_plugins', 'elegro-payment' ) && ipharm_storage_get_array( 'required_plugins', 'elegro-payment', 'install' ) !== false ) {
			$list[] = array(
				'name'     => ipharm_storage_get_array( 'required_plugins', 'elegro-payment', 'title' ),
				'slug'     => 'elegro-payment',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if this plugin installed and activated
if ( ! function_exists( 'ipharm_exists_elegro_payment' ) ) {
	function ipharm_exists_elegro_payment() {
		return class_exists( 'WC_Elegro_Payment' );
	}
}


// Enqueue styles for frontend
if ( ! function_exists( 'ipharm_elegro_payment_frontend_scripts' ) ) {
	
	function ipharm_elegro_payment_frontend_scripts() {
		if ( ipharm_is_on( ipharm_get_theme_option( 'debug_mode' ) ) ) {
			$ipharm_url = ipharm_get_file_url( 'plugins/elegro-payment/elegro-payment.css' );
			if ( '' != $ipharm_url ) {
				wp_enqueue_style( 'ipharm-elegro-payment', $ipharm_url, array(), null );
			}
		}
	}
}


// Merge custom styles
if ( ! function_exists( 'ipharm_elegro_payment_merge_styles' ) ) {
	
	function ipharm_elegro_payment_merge_styles( $list ) {
		$list[] = 'plugins/elegro-payment/elegro-payment.css';
		return $list;
	}
}
