<?php
// Add plugin-specific vars to the custom CSS
if ( ! function_exists( 'ipharm_elm_add_theme_vars' ) ) {
	add_filter( 'ipharm_filter_add_theme_vars', 'ipharm_elm_add_theme_vars', 10, 2 );
	function ipharm_elm_add_theme_vars( $rez, $vars ) {
		$gaps = array(
					'nogap'    =>  0,
					'narrow'   => 10,
					'default'  => 20,
					'extended' => 30,
					'wide'     => 40,
					'wider'    => 60
					);
		foreach ( $gaps as $n => $m ) {
			if ( substr( $vars['page'], 0, 2 ) != '{{' ) {
				$rez[ "page{$m}" ]     = ( $vars['page'] + $m ) . 'px';
				$rez[ "content{$m}" ]  = ( $vars['page'] - $vars['sidebar_gap'] - $vars['sidebar'] + $m ) . 'px';
				$rez[ "elm_gap_{$n}" ] = "{$m}px";
			} else {
				$rez[ "page{$m}" ]     = "{{ data.page{$m} }}";
				$rez[ "content{$m}" ]  = "{{ data.content{$m} }}";
				$rez[ "elm_gap_{$n}" ] = "{{ data.elm_gap_{$n} }}";
			}
		}
		$rez[ "elm_add_page_margins" ] = $rez[ "elm_gap_extended" ];
		return $rez;
	}
}


// Add theme-specific CSS-animations
if ( ! function_exists( 'ipharm_elm_add_theme_animations' ) ) {
	add_filter( 'elementor/controls/animations/additional_animations', 'ipharm_elm_add_theme_animations' );
	function ipharm_elm_add_theme_animations( $animations ) {
		
		$animations = array_merge(
						$animations,
						array(
							esc_html__( 'Theme Specific', 'ipharm' ) => array(
																			'ta_under_strips' => esc_html__( 'Under the strips', 'ipharm' ),
																			)
							)
						);
		return $animations;
	}
}
