<?php
/**
 * Required plugins
 *
 * @package IPHARM
 * @since IPHARM 1.76.0
 */

// THEME-SUPPORTED PLUGINS
// If plugin not need - remove its settings from next array
//----------------------------------------------------------
$ipharm_theme_required_plugins_groups = array(
	'core'          => esc_html__( 'Core', 'ipharm' ),
	'page_builders' => esc_html__( 'Page Builders', 'ipharm' ),
	'ecommerce'     => esc_html__( 'E-Commerce & Donations', 'ipharm' ),
	'socials'       => esc_html__( 'Socials and Communities', 'ipharm' ),
	'events'        => esc_html__( 'Events and Appointments', 'ipharm' ),
	'content'       => esc_html__( 'Content', 'ipharm' ),
	'other'         => esc_html__( 'Other', 'ipharm' ),
);
$ipharm_theme_required_plugins        = array(
	'trx_addons'                 => array(
		'title'       => esc_html__( 'ThemeREX Addons', 'ipharm' ),
		'description' => esc_html__( "Will allow you to install recommended plugins, demo content, and improve the theme's functionality overall with multiple theme options", 'ipharm' ),
		'required'    => true,
		'logo'        => 'trx_addons.png',
		'group'       => $ipharm_theme_required_plugins_groups['core'],
	),
	'elementor'                  => array(
		'title'       => esc_html__( 'Elementor', 'ipharm' ),
		'description' => esc_html__( "Is a beautiful PageBuilder, even the free version of which allows you to create great pages using a variety of modules.", 'ipharm' ),
		'required'    => false,
		'logo'        => 'elementor.png',
		'group'       => $ipharm_theme_required_plugins_groups['page_builders'],
	),
	'gutenberg'                  => array(
		'title'       => esc_html__( 'Gutenberg', 'ipharm' ),
		'description' => esc_html__( "It's a posts editor coming in place of the classic TinyMCE. Can be installed and used in parallel with Elementor", 'ipharm' ),
		'required'    => false,
		'install'     => false,          // Do not offer installation of the plugin in the Theme Dashboard and TGMPA
		'logo'        => 'gutenberg.png',
		'group'       => $ipharm_theme_required_plugins_groups['page_builders'],
	),
	'woocommerce'                => array(
		'title'       => esc_html__( 'WooCommerce', 'ipharm' ),
		'description' => esc_html__( "Connect the store to your website and start selling now", 'ipharm' ),
		'required'    => false,
		'logo'        => 'woocommerce.png',
		'group'       => $ipharm_theme_required_plugins_groups['ecommerce'],
	),
	'yith-woocommerce-compare'                => array(
		'title'       => esc_html__( 'YITH WooCommerce Compare', 'ipharm' ),
		'description' => esc_html__( "The YITH WooCommerce Compare plugin allow you to compare in a simple and efficient way products on sale in your shop and analyze their main features in a single table", 'ipharm' ),
		'required'    => false,
		'logo'        => 'yith-woocommerce-compare.jpg',
		'group'       => $ipharm_theme_required_plugins_groups['ecommerce'],
	),
	'yith-woocommerce-wishlist'                => array(
		'title'       => esc_html__( 'YITH WooCommerce Wishlist', 'ipharm' ),
		'description' => esc_html__( "YITH WooCommerce Wishlist gives your users the possibility to create, fill, manage and share their wishlists allowing you to analyze their interests and needs to improve your marketing strategies. ", 'ipharm' ),
		'required'    => false,
		'logo'        => 'yith-woocommerce-wishlist.jpg',
		'group'       => $ipharm_theme_required_plugins_groups['ecommerce'],
	),
	'product-delivery-date-for-woocommerce-lite'           => array(
		'title'       => esc_html__( 'Product Delivery Date for WooCommerce – Lite', 'ipharm' ),
		'description' => esc_html__( "Delivery Dates play a vital role in any type of Ecommerce store for customer satisfaction & retention. That is why we built the Product Delivery Date plugin.", 'ipharm' ),
		'required'    => false,
		'logo'        => 'product-delivery-date-for-woocommerce-lite.png',
		'group'       => $ipharm_theme_required_plugins_groups['ecommerce'],
	),
	'woo-product-social-sharing'           => array(
		'title'       => esc_html__( 'ShareIt! Social Buttons', 'ipharm' ),
		'description' => esc_html__( "ShareIt! Social Buttons is a powerful, extandable social sharing plugin that helps you integrate all the top social networks. Beautifully.", 'ipharm' ),
		'required'    => false,
		'logo'        => 'woo-product-social-sharing.png',
		'group'       => $ipharm_theme_required_plugins_groups['socials'],
	),
	'give'                       => array(
		'title'       => esc_html__( 'Give', 'ipharm' ),
		'description' => '',
		'required'    => false,
		'logo'        => 'give.png',
		'group'       => $ipharm_theme_required_plugins_groups['ecommerce'],
	),
	'mailchimp-for-wp'           => array(
		'title'       => esc_html__( 'MailChimp for WP', 'ipharm' ),
		'description' => esc_html__( "Allows visitors to subscribe to newsletters", 'ipharm' ),
		'required'    => false,
		'logo'        => 'mailchimp-for-wp.png',
		'group'       => $ipharm_theme_required_plugins_groups['socials'],
	),
	'booked'                     => array(
		'title'       => esc_html__( 'Booked Appointments', 'ipharm' ),
		'description' => '',
		'required'    => false,
        'install'     => false,
		'logo'        => 'booked.png',
		'group'       => $ipharm_theme_required_plugins_groups['events'],
	),
	'quickcal'                     => array(
		'title'       => esc_html__( 'QuickCal Appointments', 'ipharm' ),
		'description' => '',
		'required'    => false,
		'logo'        => 'quickcal.png',
		'group'       => $ipharm_theme_required_plugins_groups['events'],
	),
	'mp-timetable'               => array(
		'title'       => esc_html__( 'MP Time Table', 'ipharm' ),
		'description' => '',
		'required'    => false,
		'logo'        => 'mp-timetable.png',
		'group'       => $ipharm_theme_required_plugins_groups['events'],
	),
	'contact-form-7'             => array(
		'title'       => esc_html__( 'Contact Form 7', 'ipharm' ),
		'description' => esc_html__( "CF7 allows you to create an unlimited number of contact forms", 'ipharm' ),
		'required'    => false,
		'logo'        => 'contact-form-7.png',
		'group'       => $ipharm_theme_required_plugins_groups['content'],
	),
	'revslider'                  => array(
		'title'       => esc_html__( 'Revolution Slider', 'ipharm' ),
		'description' => '',
		'required'    => false,
		'logo'        => 'revslider.png',
		'group'       => $ipharm_theme_required_plugins_groups['content'],
	),
	'sitepress-multilingual-cms' => array(
		'title'       => esc_html__( 'WPML - Sitepress Multilingual CMS', 'ipharm' ),
		'description' => esc_html__( "Allows you to make your website multilingual", 'ipharm' ),
		'required'    => false,
		'install'     => false,      // Do not offer installation of the plugin in the Theme Dashboard and TGMPA
		'logo'        => 'sitepress-multilingual-cms.png',
		'group'       => $ipharm_theme_required_plugins_groups['content'],
	),
	'trx_updater'                => array(
		'title'       => esc_html__( 'ThemeREX Updater', 'ipharm' ),
		'description' => esc_html__( "Update theme and theme-specific plugins from developer's upgrade server.", 'ipharm' ),
		'required'    => false,
		'logo'        => 'trx_updater.png',
		'group'       => $ipharm_theme_required_plugins_groups['other'],
	),
	'trx_popup'                  => array(
		'title'       => esc_html__( 'ThemeREX Popup', 'ipharm' ),
		'description' => esc_html__( "Add popup to your site.", 'ipharm' ),
		'required'    => false,
		'install'     => false,
		'logo'        => 'trx_popup.png',
		'group'       => $ipharm_theme_required_plugins_groups['other'],
	),
	'advanced-popups'                  => array(
		'title'       => esc_html__( 'Advanced Popups', 'ipharm' ),
		'required'    => false,
		'logo'        => 'advanced-popups.jpg',
		'group'       => $ipharm_theme_required_plugins_groups['other'],
	)
);

if ( IPHARM_THEME_FREE ) {
	unset( $ipharm_theme_required_plugins['give'] );
	unset( $ipharm_theme_required_plugins['booked'] );
	unset( $ipharm_theme_required_plugins['mp-timetable'] );
	unset( $ipharm_theme_required_plugins['revslider'] );
	unset( $ipharm_theme_required_plugins['sitepress-multilingual-cms'] );
	unset( $ipharm_theme_required_plugins['trx_updater'] );
	unset( $ipharm_theme_required_plugins['trx_popup'] );
}

// Add plugins list to the global storage
ipharm_storage_set( 'required_plugins', $ipharm_theme_required_plugins );
