<?php
/**
 * The template to display the Author bio
 *
 * @package IPHARM
 * @since IPHARM 1.0
 */
?>

<div class="author_info author vcard" itemprop="author" itemscope="itemscope" itemtype="<?php echo esc_attr( ipharm_get_protocol( true ) ); ?>//schema.org/Person">

	<div class="author_avatar" itemprop="image">
		<?php
		$ipharm_mult = ipharm_get_retina_multiplier();
		echo get_avatar( get_the_author_meta( 'user_email' ), 160 * $ipharm_mult );
		?>
	</div><!-- .author_avatar -->

	<div class="author_description">
		<div class="author_label"><?php esc_html_e( 'About Author', 'ipharm' ); ?></div>
		<h5 class="author_title" itemprop="name"><a class="author_link fn" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author"<?php
			if ( ipharm_mouse_helper_enabled() ) {
				echo ' data-mouse-helper="click" data-mouse-helper-text="' . esc_attr__( "Show author's posts", 'ipharm' ) . '"';
			}
		?>><?php
			the_author();
		?></a></h5>
		<div class="author_bio" itemprop="description">
			<?php echo wp_kses( wpautop( get_the_author_meta( 'description' ) ), 'ipharm_kses_content' ); ?>
			<a class="author_links" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
													<?php
													// Translators: Add the author's name in the <span>
													printf( esc_html__( 'All Posts by %s', 'ipharm' ), '<span class="author_name">' . esc_html( get_the_author() ) . '</span>' );
													?>
			</a>
			<?php do_action( 'ipharm_action_user_meta' ); ?>
		</div><!-- .author_bio -->

	</div><!-- .author_description -->

</div><!-- .author_info -->
