<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package IPHARM
 * @since IPHARM 1.0.50
 */

$ipharm_template_args = get_query_var( 'ipharm_template_args' );
if ( is_array( $ipharm_template_args ) ) {
	$ipharm_columns    = empty( $ipharm_template_args['columns'] ) ? 2 : max( 1, $ipharm_template_args['columns'] );
	$ipharm_blog_style = array( $ipharm_template_args['type'], $ipharm_columns );
} else {
	$ipharm_blog_style = explode( '_', ipharm_get_theme_option( 'blog_style' ) );
	$ipharm_columns    = empty( $ipharm_blog_style[1] ) ? 2 : max( 1, $ipharm_blog_style[1] );
}
$ipharm_blog_id       = ipharm_get_custom_blog_id( join( '_', $ipharm_blog_style ) );
$ipharm_blog_style[0] = str_replace( 'blog-custom-', '', $ipharm_blog_style[0] );
$ipharm_expanded      = ! ipharm_sidebar_present() && ipharm_get_theme_option( 'expand_content' ) == 'expand';
$ipharm_components    = ! empty( $ipharm_template_args['meta_parts'] )
							? ( is_array( $ipharm_template_args['meta_parts'] )
								? join( ',', $ipharm_template_args['meta_parts'] )
								: $ipharm_template_args['meta_parts']
								)
							: ipharm_array_get_keys_by_value( ipharm_get_theme_option( 'meta_parts' ) );
$ipharm_post_format   = get_post_format();
$ipharm_post_format   = empty( $ipharm_post_format ) ? 'standard' : str_replace( 'post-format-', '', $ipharm_post_format );

$ipharm_blog_meta     = ipharm_get_custom_layout_meta( $ipharm_blog_id );
$ipharm_custom_style  = ! empty( $ipharm_blog_meta['scripts_required'] ) ? $ipharm_blog_meta['scripts_required'] : 'none';

if ( ! empty( $ipharm_template_args['slider'] ) || $ipharm_columns > 1 || ! ipharm_is_off( $ipharm_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $ipharm_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo esc_attr( ( ipharm_is_off( $ipharm_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $ipharm_custom_style ) ) . "-1_{$ipharm_columns}" );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_item_container post_format_' . esc_attr( $ipharm_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $ipharm_columns )
					. ' post_layout_' . esc_attr( $ipharm_blog_style[0] )
					. ' post_layout_' . esc_attr( $ipharm_blog_style[0] ) . '_' . esc_attr( $ipharm_columns )
					. ( ! ipharm_is_off( $ipharm_custom_style )
						? ' post_layout_' . esc_attr( $ipharm_custom_style )
							. ' post_layout_' . esc_attr( $ipharm_custom_style ) . '_' . esc_attr( $ipharm_columns )
						: ''
						)
		);
	ipharm_add_blog_animation( $ipharm_template_args );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'ipharm_action_show_layout', $ipharm_blog_id, get_the_ID() );
	?>
</article><?php
if ( ! empty( $ipharm_template_args['slider'] ) || $ipharm_columns > 1 || ! ipharm_is_off( $ipharm_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
