<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package IPHARM
 * @since IPHARM 1.0
 */

$ipharm_template_args = get_query_var( 'ipharm_template_args' );
if ( is_array( $ipharm_template_args ) ) {
	$ipharm_columns    = empty( $ipharm_template_args['columns'] ) ? 2 : max( 1, $ipharm_template_args['columns'] );
	$ipharm_blog_style = array( $ipharm_template_args['type'], $ipharm_columns );
} else {
	$ipharm_blog_style = explode( '_', ipharm_get_theme_option( 'blog_style' ) );
	$ipharm_columns    = empty( $ipharm_blog_style[1] ) ? 2 : max( 1, $ipharm_blog_style[1] );
}

$ipharm_post_format = get_post_format();
$ipharm_post_format = empty( $ipharm_post_format ) ? 'standard' : str_replace( 'post-format-', '', $ipharm_post_format );

?><div class="
<?php
if ( ! empty( $ipharm_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo ( ipharm_is_blog_style_use_masonry( $ipharm_blog_style[0] ) ? 'masonry_item masonry_item' : 'column' ) . '-1_' . esc_attr( $ipharm_columns );
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_item_container post_format_' . esc_attr( $ipharm_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $ipharm_columns )
		. ( 'portfolio' != $ipharm_blog_style[0] ? ' ' . esc_attr( $ipharm_blog_style[0] )  . '_' . esc_attr( $ipharm_columns ) : '' )
		. ( is_sticky() && ! is_paged() ? ' sticky' : '' )
	);
	ipharm_add_blog_animation( $ipharm_template_args );
	?>
>
<?php

	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}

	$ipharm_hover   = ! empty( $ipharm_template_args['hover'] ) && ! ipharm_is_inherit( $ipharm_template_args['hover'] )
								? $ipharm_template_args['hover']
								: ipharm_get_theme_option( 'image_hover' );

	if ( 'dots' == $ipharm_hover ) {
		$ipharm_post_link = empty( $ipharm_template_args['no_links'] )
								? ( ! empty( $ipharm_template_args['link'] )
									? $ipharm_template_args['link']
									: get_permalink()
									)
								: '';
		$ipharm_target    = ! empty( $ipharm_post_link ) && false === strpos( $ipharm_post_link, home_url() )
								? ' target="_blank" rel="nofollow"'
								: '';
	}
	
	// Meta parts
	$ipharm_components = ! empty( $ipharm_template_args['meta_parts'] )
							? ( is_array( $ipharm_template_args['meta_parts'] )
								? $ipharm_template_args['meta_parts']
								: explode( ',', $ipharm_template_args['meta_parts'] )
								)
							: ipharm_array_get_keys_by_value( ipharm_get_theme_option( 'meta_parts' ) );

	// Featured image
	ipharm_show_post_featured(
		array(
			'hover'         => $ipharm_hover,
			'no_links'      => ! empty( $ipharm_template_args['no_links'] ),
			'thumb_size'    => ipharm_get_thumb_size(
									ipharm_is_blog_style_use_masonry( $ipharm_blog_style[0] )
										? (	strpos( ipharm_get_theme_option( 'body_style' ), 'full' ) !== false || $ipharm_columns < 3
											? 'masonry-big'
											: 'masonry'
											)
										: (	strpos( ipharm_get_theme_option( 'body_style' ), 'full' ) !== false || $ipharm_columns < 3
											? 'big'
											: 'med'
											)
								),
			'show_no_image' => true,
			'meta_parts'    => $ipharm_components,
			'class'         => 'dots' == $ipharm_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $ipharm_hover
										? '<div class="post_info"><h5 class="post_title">'
											. ( ! empty( $ipharm_post_link )
												? '<a href="' . esc_url( $ipharm_post_link ) . '"' . ( ! empty( $target ) ? $target : '' ) . '>'
												: ''
												)
												. esc_html( get_the_title() ) 
											. ( ! empty( $ipharm_post_link )
												? '</a>'
												: ''
												)
											. '</h5></div>'
										: '',
		)
	);
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!