<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package IPHARM
 * @since IPHARM 1.0.10
 */

// Footer sidebar
$ipharm_footer_name    = ipharm_get_theme_option( 'footer_widgets' );
$ipharm_footer_present = ! ipharm_is_off( $ipharm_footer_name ) && is_active_sidebar( $ipharm_footer_name );
if ( $ipharm_footer_present ) {
	ipharm_storage_set( 'current_sidebar', 'footer' );
	$ipharm_footer_wide = ipharm_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $ipharm_footer_name ) ) {
		dynamic_sidebar( $ipharm_footer_name );
	}
	$ipharm_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $ipharm_out ) ) {
		$ipharm_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $ipharm_out );
		$ipharm_need_columns = true;   //or check: strpos($ipharm_out, 'columns_wrap')===false;
		if ( $ipharm_need_columns ) {
			$ipharm_columns = max( 0, (int) ipharm_get_theme_option( 'footer_columns' ) );			
			if ( 0 == $ipharm_columns ) {
				$ipharm_columns = min( 4, max( 1, ipharm_tags_count( $ipharm_out, 'aside' ) ) );
			}
			if ( $ipharm_columns > 1 ) {
				$ipharm_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $ipharm_columns ) . ' widget', $ipharm_out );
			} else {
				$ipharm_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $ipharm_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<?php do_action( 'ipharm_action_before_sidebar_wrap', 'footer' ); ?>
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $ipharm_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $ipharm_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'ipharm_action_before_sidebar', 'footer' );
				ipharm_show_layout( $ipharm_out );
				do_action( 'ipharm_action_after_sidebar', 'footer' );
				if ( $ipharm_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $ipharm_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
			<?php do_action( 'ipharm_action_after_sidebar_wrap', 'footer' ); ?>
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
