<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package IPHARM
 * @since IPHARM 1.0.06
 */

$ipharm_header_css   = '';
$ipharm_header_image = get_header_image();
$ipharm_header_video = ipharm_get_header_video();
if ( ! empty( $ipharm_header_image ) && ipharm_trx_addons_featured_image_override( is_singular() || ipharm_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$ipharm_header_image = ipharm_get_current_mode_image( $ipharm_header_image );
}

$ipharm_header_id = ipharm_get_custom_header_id();
$ipharm_header_meta = get_post_meta( $ipharm_header_id, 'trx_addons_options', true );
if ( ! empty( $ipharm_header_meta['margin'] ) ) {
	ipharm_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( ipharm_prepare_css_value( $ipharm_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $ipharm_header_id ); ?> top_panel_custom_<?php echo esc_attr( sanitize_title( get_the_title( $ipharm_header_id ) ) ); ?>
				<?php
				echo ! empty( $ipharm_header_image ) || ! empty( $ipharm_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $ipharm_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $ipharm_header_image ) {
					echo ' ' . esc_attr( ipharm_add_inline_css_class( 'background-image: url(' . esc_url( $ipharm_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( ipharm_is_on( ipharm_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight ipharm-full-height';
				}
				$ipharm_header_scheme = ipharm_get_theme_option( 'header_scheme' );
				if ( ! empty( $ipharm_header_scheme ) && ! ipharm_is_inherit( $ipharm_header_scheme  ) ) {
					echo ' scheme_' . esc_attr( $ipharm_header_scheme );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $ipharm_header_video ) ) {
		get_template_part( apply_filters( 'ipharm_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'ipharm_action_show_layout', $ipharm_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'ipharm_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
