<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package IPHARM
 * @since IPHARM 1.0
 */

$ipharm_args = get_query_var( 'ipharm_logo_args' );

// Site logo
$ipharm_logo_type   = isset( $ipharm_args['type'] ) ? $ipharm_args['type'] : '';
$ipharm_logo_image  = ipharm_get_logo_image( $ipharm_logo_type );
$ipharm_logo_text   = ipharm_is_on( ipharm_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$ipharm_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $ipharm_logo_image['logo'] ) || ! empty( $ipharm_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>"
		<?php
		if ( ipharm_mouse_helper_enabled() ) {
			echo ' data-mouse-helper="click" data-mouse-helper-text="' . esc_attr__( 'Go Home', 'ipharm' ) . '"';
		}
		?>
	>
		<?php
		if ( ! empty( $ipharm_logo_image['logo'] ) ) {
			if ( empty( $ipharm_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric( $ipharm_logo_image['logo'] ) && (int)$ipharm_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$ipharm_attr = ipharm_getimagesize( $ipharm_logo_image['logo'] );
				echo '<img src="' . esc_url( $ipharm_logo_image['logo'] ) . '"'
						. ( ! empty( $ipharm_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $ipharm_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $ipharm_logo_text ) . '"'
						. ( ! empty( $ipharm_attr[3] ) ? ' ' . wp_kses_data( $ipharm_attr[3] ) : '' )
						. '>';
			}
		} else {
			ipharm_show_layout( ipharm_prepare_macros( $ipharm_logo_text ), '<span class="logo_text">', '</span>' );
			ipharm_show_layout( ipharm_prepare_macros( $ipharm_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
