<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package IPHARM
 * @since IPHARM 1.0
 */

// Page (category, tag, archive, author) title

if ( ipharm_need_page_title() ) {
	ipharm_sc_layouts_showed( 'title', true );
	ipharm_sc_layouts_showed( 'postmeta', true );
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
						if ( is_singular('post') ) {
							?>
							<div class="sc_layouts_title_meta">
							<?php
								ipharm_show_post_meta(
									apply_filters(
										'ipharm_filter_post_meta_args', array(
											'components' => join( ',', ipharm_array_get_keys_by_value( ipharm_get_theme_option( 'meta_parts' ) ) ),
											'counters'   => join( ',', ipharm_array_get_keys_by_value( ipharm_get_theme_option( 'counters' ) ) ),
											'seo'        => ipharm_is_on( ipharm_get_theme_option( 'seo_snippets' ) ),
										), 'header', 1
									)
								);
							?>
							</div>
							<?php
						}

						// Blog/Post title
						?>
						<div class="sc_layouts_title_title">
							<?php
							$ipharm_blog_title           = ipharm_get_blog_title();
							$ipharm_blog_title_text      = '';
							$ipharm_blog_title_class     = '';
							$ipharm_blog_title_link      = '';
							$ipharm_blog_title_link_text = '';
							if ( is_array( $ipharm_blog_title ) ) {
								$ipharm_blog_title_text      = $ipharm_blog_title['text'];
								$ipharm_blog_title_class     = ! empty( $ipharm_blog_title['class'] ) ? ' ' . $ipharm_blog_title['class'] : '';
								$ipharm_blog_title_link      = ! empty( $ipharm_blog_title['link'] ) ? $ipharm_blog_title['link'] : '';
								$ipharm_blog_title_link_text = ! empty( $ipharm_blog_title['link_text'] ) ? $ipharm_blog_title['link_text'] : '';
							} else {
								$ipharm_blog_title_text = $ipharm_blog_title;
							}
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr( $ipharm_blog_title_class ); ?>">
								<?php
								$ipharm_top_icon = ipharm_get_term_image_small();
								if ( ! empty( $ipharm_top_icon ) ) {
									$ipharm_attr = ipharm_getimagesize( $ipharm_top_icon );
									?>
									<img src="<?php echo esc_url( $ipharm_top_icon ); ?>" alt="<?php esc_attr_e( 'Site icon', 'ipharm' ); ?>"
										<?php
										if ( ! empty( $ipharm_attr[3] ) ) {
											ipharm_show_layout( $ipharm_attr[3] );
										}
										?>
									>
									<?php
								}
								echo wp_kses( $ipharm_blog_title_text, 'ipharm_kses_content' );
								?>
							</h1>
							<?php
							if ( ! empty( $ipharm_blog_title_link ) && ! empty( $ipharm_blog_title_link_text ) ) {
								?>
								<a href="<?php echo esc_url( $ipharm_blog_title_link ); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html( $ipharm_blog_title_link_text ); ?></a>
								<?php
							}

							// Category/Tag description
							if ( ! is_paged() && ( is_category() || is_tag() || is_tax() ) ) {
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
							}

							?>
						</div>
						<?php

						// Breadcrumbs
						ob_start();
						do_action( 'ipharm_action_breadcrumbs' );
						$ipharm_breadcrumbs = ob_get_contents();
						ob_end_clean();
						ipharm_show_layout( $ipharm_breadcrumbs, '<div class="sc_layouts_title_breadcrumbs">', '</div>' );
						?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
