<?php
/**
 * The template to display the widgets area in the header
 *
 * @package IPHARM
 * @since IPHARM 1.0
 */

// Header sidebar
$ipharm_header_name    = ipharm_get_theme_option( 'header_widgets' );
$ipharm_header_present = ! ipharm_is_off( $ipharm_header_name ) && is_active_sidebar( $ipharm_header_name );
if ( $ipharm_header_present ) {
	ipharm_storage_set( 'current_sidebar', 'header' );
	$ipharm_header_wide = ipharm_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $ipharm_header_name ) ) {
		dynamic_sidebar( $ipharm_header_name );
	}
	$ipharm_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $ipharm_widgets_output ) ) {
		$ipharm_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $ipharm_widgets_output );
		$ipharm_need_columns   = strpos( $ipharm_widgets_output, 'columns_wrap' ) === false;
		if ( $ipharm_need_columns ) {
			$ipharm_columns = max( 0, (int) ipharm_get_theme_option( 'header_columns' ) );
			if ( 0 == $ipharm_columns ) {
				$ipharm_columns = min( 6, max( 1, ipharm_tags_count( $ipharm_widgets_output, 'aside' ) ) );
			}
			if ( $ipharm_columns > 1 ) {
				$ipharm_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $ipharm_columns ) . ' widget', $ipharm_widgets_output );
			} else {
				$ipharm_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $ipharm_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<?php do_action( 'ipharm_action_before_sidebar_wrap', 'header' ); ?>
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $ipharm_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $ipharm_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'ipharm_action_before_sidebar', 'header' );
				ipharm_show_layout( $ipharm_widgets_output );
				do_action( 'ipharm_action_after_sidebar', 'header' );
				if ( $ipharm_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $ipharm_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
			<?php do_action( 'ipharm_action_after_sidebar_wrap', 'header' ); ?>
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
