<?php
/**
 * The "Style 2" template to display the post header of the single post or attachment:
 * featured image placed in the post header and title placed inside content
 *
 * @package IPHARM
 * @since IPHARM 1.75.0
 */

if ( apply_filters( 'ipharm_filter_single_post_header', is_singular( 'post' ) || is_singular( 'attachment' ) ) ) {
	$ipharm_post_format = str_replace( 'post-format-', '', get_post_format() );
	// Featured image
	ob_start();
	ipharm_show_post_featured_image( array(
		'thumb_bg'  => true,
		'popup'     => true,
		'class_avg' => in_array( $ipharm_post_format, array( 'video' ) ) ? 'content_wrap' : '',
	) );
	$ipharm_post_header = ob_get_contents();
	ob_end_clean();
	$ipharm_with_featured_image = ipharm_is_with_featured_image( $ipharm_post_header );

	if ( strpos( $ipharm_post_header, 'post_featured' ) !== false ) {
		?>
		<div class="post_header_wrap post_header_wrap_in_header post_header_wrap_style_<?php
			echo esc_attr( ipharm_get_theme_option( 'single_style' ) );
			if ( $ipharm_with_featured_image ) {
				echo ' with_featured_image';
			}
		?>">
			<?php
			do_action( 'ipharm_action_before_post_header' );
			ipharm_show_layout( $ipharm_post_header );
			do_action( 'ipharm_action_after_post_header' );
			?>
		</div>
		<?php
	}
}
