<?php
/**
 * The template to display Admin notices
 *
 * @package IPHARM
 * @since IPHARM 1.0.64
 */

$ipharm_skins_url  = get_admin_url( null, 'admin.php?page=trx_addons_theme_panel#trx_addons_theme_panel_section_skins' );
$ipharm_skins_args = get_query_var( 'ipharm_skins_notice_args' );

?>
<div class="ipharm_admin_notice ipharm_skins_notice update-nag">
	<?php
	// Theme image
	$ipharm_theme_img = ipharm_get_file_url( 'screenshot.jpg' );
	if ( '' != $ipharm_theme_img ) {
		?>
		<div class="ipharm_notice_image"><img src="<?php echo esc_url( $ipharm_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'ipharm' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="ipharm_notice_title">
		<?php esc_html_e( 'New skins available', 'ipharm' ); ?>
	</h3>
	<?php

	// Description
	$ipharm_total      = $ipharm_skins_args['update'];	// Store value to the separate variable to avoid warnings from ThemeCheck plugin!
	$ipharm_skins_msg  = $ipharm_total > 0
							// Translators: Add new skins number
							? '<strong>' . sprintf( _n( '%d new version', '%d new versions', $ipharm_total, 'ipharm' ), $ipharm_total ) . '</strong>'
							: '';
	$ipharm_total      = $ipharm_skins_args['free'];
	$ipharm_skins_msg .= $ipharm_total > 0
							? ( ! empty( $ipharm_skins_msg ) ? ' ' . esc_html__( 'and', 'ipharm' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d free skin', '%d free skins', $ipharm_total, 'ipharm' ), $ipharm_total ) . '</strong>'
							: '';
	$ipharm_total      = $ipharm_skins_args['pay'];
	$ipharm_skins_msg .= $ipharm_skins_args['pay'] > 0
							? ( ! empty( $ipharm_skins_msg ) ? ' ' . esc_html__( 'and', 'ipharm' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d paid skin', '%d paid skins', $ipharm_total, 'ipharm' ), $ipharm_total ) . '</strong>'
							: '';
	?>
	<div class="ipharm_notice_text">
		<p>
			<?php
			// Translators: Add new skins info
			echo wp_kses_data( sprintf( __( "We are pleased to announce that %s are available for your theme", 'ipharm' ), $ipharm_skins_msg ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="ipharm_notice_buttons">
		<?php
		// Link to the theme dashboard page
		?>
		<a href="<?php echo esc_url( $ipharm_skins_url ); ?>" class="button button-primary"><i class="dashicons dashicons-update"></i> 
			<?php
			// Translators: Add theme name
			esc_html_e( 'Go to Skins manager', 'ipharm' );
			?>
		</a>
		<?php
		// Dismiss
		?>
		<a href="#" data-notice="skins" class="ipharm_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="ipharm_hide_notice_text"><?php esc_html_e( 'Dismiss', 'ipharm' ); ?></span></a>
	</div>
</div>
